package net.mc_pandacraft.java.plugin.pandacraftutils.network_api;

import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorBroadcast;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorChatSend;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorCommand;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorCommandAsync;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorPlayerList;

public class NetworkAPI {
	
	public static void loadNewInstance() {
		
		
		NetworkAPIListener.loadNewInstance();
		
		/*
		 * Initialisation des exécuteurs des commandes réseau
		 * Les constructeurs s'occupent eux même de se référencer dans l'instance de la classe NetworkAPIListener
		 */
		new RequestExecutorCommand();
		new RequestExecutorBroadcast();
		new RequestExecutorCommandAsync();
		new RequestExecutorPlayerList();
		new RequestExecutorChatSend();
		
	}
	

}
